import 'package:flutter/material.dart';
import 'app_state.dart';


class FavoritePage extends StatelessWidget {

    @override
    Widget build(BuildContext context) {
        var appState = context.watch<AppState>();
        var favorites = appState.favorites;

        return LayoutBuilder(builder: (context, constraints) {
            return Scaffold(body: ListView.builder(
                padding: const EdgeInsets.all(8),
                color: Color.red[200],
                itemCount: favorites.length,
                itemBuilder: (BuildContext context, int index){
                    return Container(
                        padding: const EdgeInsets.all(8),
                        color: index%2 == 0 ? Color.red[500] : Color.red[400],
                        children: <Widget>[
                            Text(favorites[index]['title']),
                            Text(favorites[index]['subtitle']),
                            Text(favorites[index]['author']),
                            Text(favorites[index]['published']),
                            Text(favorites[index]['publisher']),
                            Text(favorites[index]['description']),
                            Text(favorites[index]['website']),
                        ];
                    )
                }
            ))
        });
    }
}
